Name:          jewelcli
Version:       0.8.9
Release:       1%{?dist}
Summary:       Command line parsing library for Java programs
License:       ASL 2.0
URL:           http://jewelcli.lexicalscope.com/
Source0:       https://github.com/lexicalscope/jewelcli/archive/%{name}-parent-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(com.google.inject:guice::no_aop:)
BuildRequires: mvn(com.googlecode.lambdaj:lambdaj)
BuildRequires: mvn(com.lexicalscope.fluent-collections:fluent-collections)
BuildRequires: mvn(com.lexicalscope.fluent-reflection:fluent-reflection)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.commons:commons-lang3)
BuildRequires: mvn(org.apache.maven:maven-core)
BuildRequires: mvn(org.apache.maven:maven-plugin-api)
BuildRequires: mvn(org.apache.maven.reporting:maven-reporting-api)
BuildRequires: mvn(org.apache.maven.reporting:maven-reporting-impl)
BuildRequires: mvn(org.hamcrest:hamcrest-integration)
BuildRequires: mvn(org.jmock:jmock-junit4)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires: mvn(org.testng:testng)

BuildArch:     noarch

%description
JewelCli uses an annotated interface or class definition to
automatically parse and present command line arguments.

%package maven-report-example
Summary:       JewelCli Maven Report Example

%description maven-report-example
This package provides example of a JewelCli report.

%package maven-report-plugin
Summary:       JewelCli Report Maven Mojo

%description maven-report-plugin
This package provides JewelCli Report Maven Plugin.

%package packagingtest
Summary:       JewelCli Packaging Test

%description packagingtest
This package provides JewelCli Packaging Test.

%package parent
Summary:       JewelCli Parent POM Project

%description parent
This package provides Parent POM Project for JewelCli.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-parent-%{version}
# Cleanup
find . -name '*.jar' -print -delete
find . -name '*.class' -print -delete

#org.apache.maven.scm:maven-scm-provider-gitexe:1.5
#org.apache.maven.scm:maven-scm-manager-plexus:1.5
#org.kathrynhuxtable.maven.wagon:wagon-gitsite:0.3.1
%pom_xpath_remove pom:build/pom:extensions

%pom_remove_dep :fluent-reflection %{name}
%pom_add_dep com.lexicalscope.fluent-reflection:fluent-reflection:0.1.5 %{name} "<optional>true</optional>"
# NoClassDefFoundError: com/lexicalscope/fluentreflection/FluentReflection
%pom_add_dep com.lexicalscope.fluent-reflection:fluent-reflection:0.1.5:test %{name}-packagingtest
# NoClassDefFoundError: com/lexicalscope/fluent/FluentDollar
%pom_add_dep com.lexicalscope.fluent-collections:fluent-collections:0.0.2:test %{name}-packagingtest

%pom_remove_plugin -r :maven-site-plugin

%pom_remove_plugin :animal-sniffer-maven-plugin %{name}
%pom_remove_plugin :cobertura-maven-plugin %{name}
%pom_remove_plugin :jarjar-maven-plugin %{name}
%pom_remove_plugin :proguard-maven-plugin %{name}
%pom_remove_plugin :site-maven-plugin %{name}

%pom_change_dep :maven-project :maven-core %{name}-maven-report-plugin
%pom_change_dep :junit-dep :junit %{name}

# Require org.jmock:jmock-junit4:2.6.0-RC2
rm -r %{name}/src/test/java/com/lexicalscope/jewel/cli/validation/TestArgumentValidatorImpl.java \
 %{name}/src/test/java/com/lexicalscope/jewel/cli/parser/TestArgumentParserImpl.java \
 %{name}/src/test/java/com/lexicalscope/jewel/cli/TestArgumentCollectionBuilder.java
#AssertionError:
#Expected: iterable containing [<14>, <15>, <16>]
#     but: item 0: was <15>
rm -r %{name}/src/test/java/com/lexicalscope/jewel/cli/TestConvertTypeOfObject.java
 
%build

%mvn_build -s

%install
%mvn_install

%files -f .mfiles-%{name}
%doc README.markdown
%license LICENSE

%files maven-report-example -f .mfiles-%{name}-maven-report-example
%files maven-report-plugin -f .mfiles-%{name}-maven-report-plugin
%files packagingtest -f .mfiles-%{name}-packagingtest
%files parent -f .mfiles-%{name}-parent
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Thu Sep 03 2015 gil cattaneo <puntogil@libero.it> 0.8.9-1
- initial rpm
